/*
 * File         : BV_AudioPlay.h
 * Author       : Tomasz Stachowiak
 * Created      : Fri Jul 24 14:50:20 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __BV_AUDIOPLAY_H
#define __BV_AUDIOPLAY_H

#include <stdio.h>
#include <dmedia/audio.h>

#define DEFAULT_RATE 8000
#define MONO 1
#define BLOCK 800
#define QSIZE 1600
#define SAMPLEFMT 

class BV_AudioPlay
{
 public:
  static int init();
  static int set_rate(long rate);
  static int set_volume(long volume);
  static long get_volume();

  int open();
  void close();
  int play(char *buffer, int size);

 protected:

  ALport port;
  ALconfig conf;
  
};

#endif


